%global gtk3_version          %(pkg-config --modversion gtk+-3.0 2>/dev/null || echo bad)
%global gtk4_version          %(pkg-config --modversion gtk4 2>/dev/null || echo bad)
%global glib2_version         %(pkg-config --modversion glib-2.0 2>/dev/null || echo bad)
%global nm_version            1:1.8.0
%global mbp_version           0.20090602
%global old_libnma_version    1.10.4

Name:           libnma
Summary:        NetworkManager GUI library
Version:        1.10.6
Release:        1
License:        GPLv2+ and LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libnma/
Source0:        https://download.gnome.org/sources/libnma/1.10/%{name}-%{version}.tar.xz

Patch1:         0001-nm-applet-no-notifications.patch
Patch9000:      remove-sensitive-info.patch

Requires:       mobile-broadband-provider-info >= %{mbp_version}
Conflicts:      libnma < %{old_libnma_version}

BuildRequires:  gcc gettext-devel pkgconfig meson gtk-doc  iso-codes-devel gcr-devel
BuildRequires:  NetworkManager-libnm-devel >= %{nm_version}  gtk3-devel >= 3.12
BuildRequires:  ModemManager-glib-devel >= 1.0  glib2-devel >= 2.38
BuildRequires:  gobject-introspection-devel >= 0.10.3 pkgconfig
BuildRequires:  mobile-broadband-provider-info-devel >= %{mbp_version}
BuildRequires:  gtk4-devel >= 4.0

%description
This package contains the library used for integrating GUI tools with
NetworkManager.

%package devel
Summary:        Header files for NetworkManager GUI library
Requires:       NetworkManager-libnm-devel >= %{nm_version}
Obsoletes:      NetworkManager-gtk-devel < 1:0.9.7
Requires:       libnma%{?_isa} = %{version}-%{release}
Requires:       gtk3-devel%{?_isa}
Requires:       pkgconfig
Requires:       gtk4%{?_isa} >= %{gtk4_version}
Requires:       gtk4-devel%{?_isa}
Requires:       mobile-broadband-provider-info >= %{mbp_version}
Conflicts:      libnma < %{old_libnma_version}

%description devel
This package contains header and pkg-config files to be used for integrating
GUI tools with NetworkManager.

%prep
%autosetup -p1 -n "%{name}-%{version}"

%build
%meson \
        -Dgcr=true \
        -Dvapi=false \
        -Dlibnma_gtk4=true \
%meson_build

%install
%meson_install
%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS CONTRIBUTING
%license COPYING
%{_libdir}/libnma.so.*
%{_libdir}/libnma-gtk4.so.*
%{_libdir}/girepository-1.0/NMA-1.0.typelib
%{_libdir}/girepository-1.0/NMA4-1.0.typelib
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.eap.gschema.xml

%files devel
%defattr(-,root,root)
%{_includedir}/libnma
%{_libdir}/pkgconfig/libnma.pc
%{_libdir}/pkgconfig/libnma-gtk4.pc
%{_libdir}/libnma.so
%{_libdir}/libnma-gtk4.so
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_datadir}/gir-1.0/NMA4-1.0.gir
%{_datadir}/gtk-doc

%changelog
* Tue Jul 11 2023 liyanan <thistleslyn@163.com> - 1.10.6-1
- update to 1.10.6

* Mon Jun 12 2023 zhangpan <zhangpan103@h-partners.com> - 1.10.4-3
- remove sensitive info

* Thu Mar 9 2023 zhouwenpei <zhouwenpei1@h-partners.com> - 1.10.4-2
- fix network configuration parameters invalid

* Mon Jan 2 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.10.4-1
- Update to 1.10.4

* Mon Jun 13 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.8.38-1
- Update to 1.8.38

* Fri Jun 17 liyanan <liyanan32@h-partners.com> - 1.8.34-2
- Drop disable-static from meson command line

* Wed Apr 20 2022 dillon chen <dillon.chen@gmail.com> - 1.8.34-1
- fix UI files in GTK4
- Enable gtk4 subpackage
- Update to 1.8.34

* Thu Dec 30 2021 yanan <yanan@huawei.com> - 1.8.32-1
- upgrade to libnma-1.8.32
- remove the installation dependency on mobile-broadband-provider-info

* Fri May 28 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.8.30-1
- Upgrade to 1.8.30
- Update old_libnma_version, rpm_version, real_version, release_version, BuildRequires
- Add patch

* Wed Sep 2 2020 jinzhimin <jinzhimin2@huawei.com> - 1.8.28-2
- Fix nm-connection-editor command core dump issue

* Fri Jul  31 2020 wuchaochao <wuchaochao4@huawei.com> - 1.8.28-1
- Update to 1.8.28 release
